BOOTLOGD(8)

NAME
bootlogd - record boot messages

SYNOPSIS
/sbin/bootlogd [-d] [-r] [-v] [ -l logfile ] [ -p pidfile ]

DESCRIPTION
Bootlogd runs in the background and copies all strings sent to the /dev/console device to a logfile. If the logfile is not accessible, the messages will be buffered in-memory until it is.

OPTIONS

-d  Do not fork and run in the background.

-r  If there is an existing logfile called logfile rename it to logfile~ unless logfile~ already exists.

-v  Show version.

-l  Log to this logfile. The default is /var/log/boot.

-p  Put process-id in this file. The default is no pidfile.

BUGS
Bootlogd works by redirecting the console output from the console device. It copies that output to the real console device and a logfile. There is no standard way to find out the real console device if you have a new-style /dev/console device (major 5, minor 1). Bootlogd tries to parse the kernel command line, looking for console= lines and deducts the real console device from that. If that syntax is ever changed by the kernel, or a console-type is used bootlogd does not know about, bootlogd will not work.

AUTHOR
Miquel van Smoorenburg, miquels@cistron.nl

SEE ALSO
dmesg(8)